# Disability Fundamentals for Managers

Disability Fundamentals for Managers is a single page Vue application.

## Support

For assistance, contact [Plum eLearning](https://www.plumelearning.com/)

## Installation

```bash
npm install
```

Initialize local Git repository if not present.

```bash
git init
git add .
git commit -m install
```

## Build environment and configuration

All build scripts invoke the Node script **init.js** to create a **.env.local** environment file
prior to running vue-cli-service. Additional .env files set variables for the various build targets
depending on the value of the vue-cli-service --mode option. For example, the following entry in the
package.json scripts creates a build in the ./build/review directory that uses the settings in
.env.review:

```bash
node init.js web && cross-env NODE_ENV=production vue-cli-service build --dest build/review --mode review
```

### Environment variables

- VUE_APP_TITLE taken from package.json **title** property
- VUE_APP_BUILD_DATE automatically generated
- VUE_APP_COMMIT_HASH automatically generated
- VUE_APP_TOC enables header TOC link when set
- VUE_APP_SCORM enables SCORM build when set to either of
  - **scorm12**
  - **scorm2004**

### Deployment configuration

The file _public/config.js_ is copied to the build root directory and allows for some configuration
post build.

- fall back to localStorage if SCORM API is not detected by a SCORM build
- disable use of localStorage altogether
- set a completion link for the web (non SCORM) build

## Build

### Local development

```bash
npm run dev
```

### Review build

Web (no SCORM) build with TOC link for review

```bash
npm run build-review
```

### Production builds

By default, the web build preserves course state between sessions in browse localStorage. The SCORM
build use SCORM suspend_data for that rather than localStorage. Production builds remove the header
TOC link.

```bash
npm run build-web
npm run build-scorm12
npm run build-scorm2004
```

## License

Licensed under the Apache License, Version 2.0.
