/**
@license
Copyright 2020 Google LLC


Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

export function networkAlert(message = "") {
  const msg = message
    ? message
    : "No network connection detected. To ensure progress is saved," +
      " do not close this window until your connection is restored.";
  alert(msg);
}

export function launchAlert(message = "") {
  const msg = message
    ? message
    : "This session did not launch properly. Close the course and " +
      "relaunch it. When prompted, click Continue to return to " +
      "the last page bookmarked.";
  alert(msg);
}

export function interruptionAlert(message = "") {
  const msg = message
    ? message
    : "This session has been interrupted. Close the course and " +
      "relaunch it. When prompted, click Continue to return to " +
      "the last page bookmarked.";
  alert(msg);
}
export function completionAlert(message = "") {
  const msg = message
    ? message
    : "Error! This session has been interrupted. Close the course " +
      "and relaunch it. When prompted, click Continue, " +
      "and then click the Complete button again. If the problem persists, " +
      "contact your learning administrator.";
  alert(msg);
}
