/**
@license
Copyright 2020 Google LLC


Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

import Vue from "vue";
import eventKey from "@/lib/eventKey";

const eventBus = new Vue({
  created() {
    // document.addEventListener("click", event => this.$emit("click", event), true);
    // document.addEventListener("focus", event => this.$emit("focus", event), true);
    document.addEventListener(
      "keydown",
      event => {
        const key = eventKey(event);
        if (key) this.$emit(key, event);
      },
      true
    );
    this.$on("Escape", () => {
      this.$emit("closePopup");
    });
  }
});

export default eventBus;
