import PageManager from "@plumelearning/page-manager";

// eslint-disable-no-unused-vars
import TitlePage from "@/pages/title-page";
import Welcome from "@/pages/welcome";
import AboutThisCourse from "@/pages/about-this-course";
import Part1UnderstandingDisability from "@/pages/part1-understanding-disability";
import DefiningDisability from "@/pages/defining-disability";
import DisabilityStatistics from "@/pages/disability-statistics";
import PhysicalChallengesInWorkplace from "@/pages/physical-challenges-in-workplace";
import PersonalChallengesInWorkplace from "@/pages/personal-challenges-in-workplace";
import ManagingEnergyLevelsIntro from "@/pages/managing-energy-levels-intro";
import ManagingEnergyLevelsMorning from "@/pages/managing-energy-levels-morning";
import ManagingEnergyLevelsLunch from "@/pages/managing-energy-levels-lunch";
import ManagingEnergyLevelsAfternoonPresentation from "@/pages/managing-energy-levels-afternoon-presentation";
import ManagingEnergyLevelsConclusion from "@/pages/managing-energy-levels-conclusion";
import DisabilityEtiquette from "@/pages/disability-etiquette";
import DisabilityEtiquetteScenarios from "@/pages/disability-etiquette-scenarios";
import CommonCourtesies from "@/pages/common-courtesies";
import Part1KeyTakeaways from "@/pages/part1-key-takeaways";
import Part2DisclosuresAndAccommodations from "@/pages/part2-disclosures-and-accommodations";
import CommonReasonsForDisclosing from "@/pages/common-reasons-for-disclosing";
import Accommodations from "@/pages/accommodations";
import TheInteractiveAccommodationProcess from "@/pages/the-interactive-accommodation-process";
import RevisitingAnAccommodation from "@/pages/revisiting-an-accommodation";
import SupportingEmployeeOnLeave from "@/pages/supporting-employee-on-leave";
import RespondingToDisabilityDisclosure from "@/pages/responding-to-disability-disclosure";
import RespondingToADisabilityDisclosureScenarioTwo from "@/pages/responding-to-a-disability-disclosure-scenario-two";
import RespondingToADisabilityDisclosureScenarioThree from "@/pages/responding-to-a-disability-disclosure-scenario-three";
import DisclosureFollowupResources from "@/pages/disclosure-followup-resources";
import ProtectingPrivacyConfidentiality from "@/pages/protecting-privacy-confidentiality";
import Part2KeyTakeaways from "@/pages/part2-key-takeaways";
import Part3FosteringAccessibleEnvironment from "@/pages/part3-fostering-accessible-environment";
import PromotingSupportiveWorkEnvironment from "@/pages/promoting-supportive-work-environment";
import HoldingAccessibleMeetings from "@/pages/holding-accessible-meetings";
import IdentifyingPotentialProblems from "@/pages/identifying-potential-problems";
import PlanningAccessibleEvents from "@/pages/planning-accessible-events";
import Part3KeyTakeaways from "@/pages/part3-key-takeaways";
import MomentOfReflection from "@/pages/moment-of-reflection";
import CourseClosing from "@/pages/course-closing";

// eslint-enable

const pageList = [
  TitlePage,
  Welcome,
  AboutThisCourse,
  Part1UnderstandingDisability,
  DefiningDisability,
  DisabilityStatistics,
  PhysicalChallengesInWorkplace,
  PersonalChallengesInWorkplace,
  ManagingEnergyLevelsIntro,
  ManagingEnergyLevelsMorning,
  ManagingEnergyLevelsLunch,
  ManagingEnergyLevelsAfternoonPresentation,
  ManagingEnergyLevelsConclusion,
  DisabilityEtiquette,
  DisabilityEtiquetteScenarios,
  CommonCourtesies,
  Part1KeyTakeaways,
  Part2DisclosuresAndAccommodations,
  CommonReasonsForDisclosing,
  Accommodations,
  TheInteractiveAccommodationProcess,
  RevisitingAnAccommodation,
  SupportingEmployeeOnLeave,
  RespondingToDisabilityDisclosure,
  RespondingToADisabilityDisclosureScenarioTwo,
  RespondingToADisabilityDisclosureScenarioThree,
  DisclosureFollowupResources,
  ProtectingPrivacyConfidentiality,
  Part2KeyTakeaways,
  Part3FosteringAccessibleEnvironment,
  PromotingSupportiveWorkEnvironment,
  HoldingAccessibleMeetings,
  IdentifyingPotentialProblems,
  PlanningAccessibleEvents,
  Part3KeyTakeaways,
  MomentOfReflection,
  CourseClosing
];

export default new PageManager(pageList);
